#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x9b68b1b0, "struct_module" },
	{ 0xe66003af, "usb_register_driver" },
	{ 0x3696c445, "netif_carrier_off" },
	{ 0xe32d420d, "netif_carrier_on" },
	{ 0xcce792d9, "usb_autopm_get_interface" },
	{ 0x3010b3aa, "usb_autopm_set_interface" },
	{ 0x28e5fb7, "usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0x4d358f67, "dev_kfree_skb_irq" },
	{ 0xc4e22a61, "skb_copy_expand" },
	{ 0xc95d390b, "__netif_schedule" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0x62b99e99, "register_netdev" },
	{ 0x76c31941, "init_timer" },
	{ 0xb15b3fb4, "usb_buffer_alloc" },
	{ 0x5152e605, "memcmp" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93fca811, "__get_free_pages" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x133e877f, "alloc_etherdev_mq" },
	{ 0x5878e0d0, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x2caa52dc, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xd3302f15, "per_cpu__current_task" },
	{ 0xffd3c7, "init_waitqueue_head" },
	{ 0x4f86eefd, "usb_alloc_urb" },
	{ 0xcdd63367, "kmem_cache_alloc" },
	{ 0xdb9ff32c, "malloc_sizes" },
	{ 0x25da070, "snprintf" },
	{ 0x73e20c1c, "strlcpy" },
	{ 0x14950414, "free_netdev" },
	{ 0x8b4b1471, "usb_buffer_free" },
	{ 0x57239b1, "usb_free_urb" },
	{ 0x317ae498, "unregister_netdev" },
	{ 0xfc309c3e, "cancel_delayed_work_sync" },
	{ 0x4e6b8337, "usb_kill_urb" },
	{ 0xae609d91, "netif_rx" },
	{ 0xa6a25312, "eth_type_trans" },
	{ 0x48f7eb62, "skb_put" },
	{ 0x862d424a, "dev_alloc_skb" },
	{ 0x900e0d6, "_spin_lock" },
	{ 0x994e1983, "__wake_up" },
	{ 0x27147e64, "_spin_unlock_irqrestore" },
	{ 0xeaa456ed, "_spin_lock_irqsave" },
	{ 0x1b7d4074, "printk" },
	{ 0x82673561, "schedule_delayed_work" },
	{ 0xe077bab2, "usb_submit_urb" },
	{ 0xa1b8543a, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "DF657BD7C76C829D8648D11");
